- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IScaffoldEditRenderer
TScaffoldBase
TScaffoldEditView
TScaffoldListView
TScaffoldSearch
TScaffoldView

Keyword

# Interface IScaffoldEditRenderer

    IDataRenderer
       |
       --IScaffoldEditRenderer

IScaffoldEditRenderer interface.

IScaffoldEditRenderer defines the interface that an edit renderer needs to implement. Besides the Data property, an edit renderer also needs to provide updateRecord method that is called before the save() method is called on the TActiveRecord.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Method Summary
void | updateRecord ( TActiveRecord $record) This method should update the record with the user input data.

Methods Inherited From IDataRenderer
IDataRenderer::getData(), IDataRenderer::setData()

Method Details

## updateRecord

public void updateRecord | (TActiveRecord $record )

This method should update the record with the user input data.

Input
TActiveRecord | $record | record to be saved.
Output
Exception